pgtle.set_default_version - Amazon Relational Database Service
Amazon Web Services 文档中描述的 Amazon Web Services 服务或功能可能因区域而异。要查看适用于中国区域的差异,请参阅 中国的 Amazon Web Services 服务入门 (PDF)

pgtle.set_default_version

set_default_version 函数可让您指定 TLE 扩展的 default_version。您可以使用此函数定义升级路径,并将该版本指定为 TLE 扩展的原定设置版本。当数据库用户在 CREATE EXTENSIONALTER EXTENSION ... UPDATE 命令中指定您的 TLE 扩展时,将在数据库中为该用户创建该版本的 TLE 扩展。

成功时,此函数返回 true。如果在 name 参数中指定的 TLE 扩展不存在,此函数将返回错误。同样,如果 TLE 扩展的 version 不存在,它会返回错误。

函数原型

pgtle.set_default_version(name text, version text)

角色

pgtle_admin

Arguments

  • name – TLE 扩展的名称。调用 CREATE EXTENSION 时使用此值。

  • version – 用于设置原定设置的 TLE 扩展版本。

输出

  • true – 成功设置原定设置版本时,此函数返回 true

  • ERROR – 如果具有指定名称或版本的 TLE 扩展不存在,则返回错误消息。

用法示例

SELECT * FROM pgtle.set_default_version(my-extension, 1.1);